Skip to main content
Use session management endpoints to inspect active sessions, update notes, and stop browsers when automation completes.

Get a Session

curl "https://api.driver.dev/v1/browser/session?sessionId=$SESSION_ID" \
  -H "Authorization: Bearer $DRIVER_API_KEY"

List Sessions

curl "https://api.driver.dev/v1/browser/sessions?page=1&pageSize=20&status=active" \
  -H "Authorization: Bearer $DRIVER_API_KEY"

Update a Session Note

Notes are updated after session creation.
curl -X PATCH "https://api.driver.dev/v1/browser/session?sessionId=$SESSION_ID" \
  -H "Authorization: Bearer $DRIVER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"note":"Scraping product pages"}'

Stop a Session

Always stop sessions when your automation completes.
curl -X DELETE "https://api.driver.dev/v1/browser/session?sessionId=$SESSION_ID" \
  -H "Authorization: Bearer $DRIVER_API_KEY"

Session Statuses

StatusMeaning
startingSession is being created.
activeSession is running and can accept CDP connections.
completedSession has stopped successfully.
errorSession failed or ended with an error.